<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:47:16 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class org.eclipse.papyrus.marte.vsl.validation.VSLJavaValidator.VSLValidationResult (org.eclipse.papyrus.marte.vsl 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.eclipse.papyrus.marte.vsl.validation.VSLJavaValidator.VSLValidationResult (org.eclipse.papyrus.marte.vsl 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/marte/vsl/validation/class-use/VSLJavaValidator.VSLValidationResult.html" target="_top">Frames</a></li>
<li><a href="VSLJavaValidator.VSLValidationResult.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.eclipse.papyrus.marte.vsl.validation.VSLJavaValidator.VSLValidationResult" class="title">Uses of Class<br>org.eclipse.papyrus.marte.vsl.validation.VSLJavaValidator.VSLValidationResult</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.marte.vsl.validation">org.eclipse.papyrus.marte.vsl.validation</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.marte.vsl.validation">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a> in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/package-summary.html">org.eclipse.papyrus.marte.vsl.validation</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/package-summary.html">org.eclipse.papyrus.marte.vsl.validation</a> that return <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkAdditiveExpression-org.eclipse.papyrus.marte.vsl.vSL.AdditiveExpression-">checkAdditiveExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/AdditiveExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">AdditiveExpression</a>&nbsp;exp)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkAndOrXorExpression-org.eclipse.papyrus.marte.vsl.vSL.AndOrXorExpression-">checkAndOrXorExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/AndOrXorExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">AndOrXorExpression</a>&nbsp;exp)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkBinaryExpression-org.eclipse.papyrus.marte.vsl.validation.VSLJavaValidator.VSLValidationResult:A-org.eclipse.emf.common.util.EList-">checkBinaryExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a>[]&nbsp;validationResults,
                     org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;operators)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkCollectionOrTuple-org.eclipse.papyrus.marte.vsl.vSL.CollectionOrTuple-">checkCollectionOrTuple</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/CollectionOrTuple.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">CollectionOrTuple</a>&nbsp;valueSpec)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkConditionalExpression-org.eclipse.papyrus.marte.vsl.vSL.ConditionalExpression-">checkConditionalExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ConditionalExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ConditionalExpression</a>&nbsp;exp)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkEqualityExpression-org.eclipse.papyrus.marte.vsl.vSL.EqualityExpression-">checkEqualityExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/EqualityExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">EqualityExpression</a>&nbsp;exp)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkExpressionRule-org.eclipse.papyrus.marte.vsl.vSL.Expression-">checkExpressionRule</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Expression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a>&nbsp;exp)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkInterval-org.eclipse.papyrus.marte.vsl.vSL.Interval-">checkInterval</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Interval</a>&nbsp;interval)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkMultiplicativeExpression-org.eclipse.papyrus.marte.vsl.vSL.MultiplicativeExpression-">checkMultiplicativeExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/MultiplicativeExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">MultiplicativeExpression</a>&nbsp;exp)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkNameOrChoiceOrBehaviorCall-org.eclipse.papyrus.marte.vsl.vSL.NameOrChoiceOrBehaviorCall-">checkNameOrChoiceOrBehaviorCall</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/NameOrChoiceOrBehaviorCall.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">NameOrChoiceOrBehaviorCall</a>&nbsp;exp)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkOperationCallExpression-org.eclipse.papyrus.marte.vsl.vSL.OperationCallExpression-">checkOperationCallExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/OperationCallExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">OperationCallExpression</a>&nbsp;exp)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkPrimaryExpression-org.eclipse.papyrus.marte.vsl.vSL.PrimaryExpression-">checkPrimaryExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/PrimaryExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">PrimaryExpression</a>&nbsp;exp)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkPropertyCallExpression-org.eclipse.papyrus.marte.vsl.vSL.PropertyCallExpression-">checkPropertyCallExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/PropertyCallExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">PropertyCallExpression</a>&nbsp;exp)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkRelationalExpression-org.eclipse.papyrus.marte.vsl.vSL.RelationalExpression-">checkRelationalExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/RelationalExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">RelationalExpression</a>&nbsp;exp)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkSuffixExpression-org.eclipse.papyrus.marte.vsl.vSL.SuffixExpression-">checkSuffixExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/SuffixExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">SuffixExpression</a>&nbsp;exp)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkTimeExpression-org.eclipse.papyrus.marte.vsl.vSL.TimeExpression-">checkTimeExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/TimeExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">TimeExpression</a>&nbsp;valueSpec)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkTuple-org.eclipse.papyrus.marte.vsl.vSL.Tuple-">checkTuple</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Tuple.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Tuple</a>&nbsp;exp)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkUnaryExpression-org.eclipse.papyrus.marte.vsl.vSL.UnaryExpression-">checkUnaryExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/UnaryExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">UnaryExpression</a>&nbsp;exp)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkValueNamePair-org.eclipse.papyrus.marte.vsl.vSL.ValueNamePair-">checkValueNamePair</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueNamePair.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueNamePair</a>&nbsp;exp)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkValueSpecification-org.eclipse.papyrus.marte.vsl.vSL.ValueSpecification-">checkValueSpecification</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a>&nbsp;valueSpec)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkVariableDeclarion-org.eclipse.papyrus.marte.vsl.vSL.VariableDeclaration-">checkVariableDeclarion</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VariableDeclaration.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VariableDeclaration</a>&nbsp;valueSpec)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/package-summary.html">org.eclipse.papyrus.marte.vsl.validation</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkBinaryExpression-org.eclipse.papyrus.marte.vsl.validation.VSLJavaValidator.VSLValidationResult:A-org.eclipse.emf.common.util.EList-">checkBinaryExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a>[]&nbsp;validationResults,
                     org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;operators)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/marte/vsl/validation/class-use/VSLJavaValidator.VSLValidationResult.html" target="_top">Frames</a></li>
<li><a href="VSLJavaValidator.VSLValidationResult.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
